diff --git a/AuswertungKlausur/move.sh b/AuswertungKlausur/move.sh
index 35543c99e8e923c149cfb08d4e69709752c2c705..d35bfb3f77e9a512626cbb60a5e058775a69ebc2 100755
--- a/AuswertungKlausur/move.sh
+++ b/AuswertungKlausur/move.sh
@@ -1,32 +1,34 @@
 #!/bin/bash
 
 
-exam=Sda1/SoSe2016
+exam=Se1/SoSe2016
+#exam=Sda1/SoSe2016
 ##############################
 
 
 rm -rf ~/newUsers.txt
 
-for fbname in $( ls ); do
-  destuser=~/ownCloud/Fh/KlausurBewertung/$fbname
+for zip in $( ls *.zip); do
+  userId=${zip%.zip}
+  destuser=~/ownCloud/Fh/KlausurBewertung/$userId
 
   if [ -d "$destuser" ]
     then
       echo "$destuser exists"
     else
       echo "$destuser does not exist"
-      echo $fbname >>  ~/newUsers.txt
+      echo $userId >>  ~/newUsers.txt
   fi
   destdir=$destuser/$exam
 
-  mkdir -p Unpack;cd Unpack
+#  mkdir -p Unpack;cd Unpack
 
   
-  unzip ../$fbname 1> /dev/null 2>& 1 || echo $fbname is not a .zip archive
+#  unzip ../$fbname 1> /dev/null 2>& 1 || echo $fbname is not a .zip archive
   
-  mkdir -p $destdir
-  echo moving  $fbname.zip to $destdir
-#  mv $fbname.zip $destdir
+mkdir -p $destdir
+#  echo moving  $zip to $destdir
+mv $zip $destdir
 #  mv Unpack/$fbname/* $destdir
 
 done
diff --git a/AuswertungKlausur/noten.sh b/AuswertungKlausur/noten.sh
index 32791bfc05d5ecac8dd0f3b3bf29d95bb62c9067..8a8c311478b10fa2f2f1d723867dddc857ca767d 100755
--- a/AuswertungKlausur/noten.sh
+++ b/AuswertungKlausur/noten.sh
@@ -9,7 +9,7 @@ rm -f ~/results.log
 for zip in $( ls *.zip); do
   fbname=$(basename "$zip" .zip)
   echo $fbname
-  pushd Unpack
+  mkdir Unpack;pushd Unpack
   unzip ../$fbname.zip
   rm -rf RemoteSystemsTempFiles
   nodeCount=`ls|wc -l`
@@ -20,12 +20,11 @@ for zip in $( ls *.zip); do
       mv * project
       if [ -f project/pom.xml ]; then
 	  echo "found pom.xml"
-	  cd project
-	  mvn clean eclipse:clean; rm -rf .settings/ A1.log
-	  rm -rf pom.xml src/test/java
-	  tar zxf ~/solutionTest.tgz
-	  mvn -Dmaven.test.skip=true package
-	  reachedPoints=`java -jar target/sw1klausur-0.9.jar|grep myGoikKlausurMarkeri| sed -e s/myGoikKlausurMarkeri://`
+	  tar zxf ~/goiksolution.tgz
+	  mv project/src/main/java/de/hdm_stuttgart/sw1 GoikSolution/src/main/java/de/hdm_stuttgart
+	  cd GoikSolution;
+	  mvn compile
+          reachedPoints=`mvn exec:java -Dexec.mainClass="de.hdm_stuttgart.eval.ShowReachedPoints"|grep Test_Helper`
 	  echo "$fbname $reachedPoints" >> ~/results.log
       else 
 	  echo "$fbname : No pom.xml found in project" >> ~/results.log
@@ -33,9 +32,8 @@ for zip in $( ls *.zip); do
   else 
       echo "$fbname : Found more than one directory component" >> ~/results.log
   fi
-
   popd
-  rm -rf Unpack/*
+  rm -rf Unpack
 done